Subject: [Bug 152] SHOULD_A_SERVER_DETERMINE_MIMETYPE_OF_CONTENT

From: [email-masked]
Date: Mon, 12 Dec 2005 11:33:11 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=152

------- Additional Comments From [email-masked]  2005-12-12 11:33 -------
Adding some text from BUG 205, which is a duplicate:

The pre-draft of -09 states in section 7.6:

   A successful lock request to an unmapped URL MUST result in the
   creation of an locked resource with empty content.  Subsequently, a
   successful PUT request (with the correct lock token) provides the
   content for the resource, and the server MUST also use the content-
   type and content-language information from this request.

This is a new MUST-level requirement that as far as I understand hasn't been
discussed anywhere before, and which contradicts an upcoming TAG finding
(<http://www.w3.org/2001/tag/doc/mime-respect>) - that is, we can't *require*
the server to use the submitted meta data.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.